import { ColumnDescription } from "./ColumnDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class NumericColumnDescription extends ColumnDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private c3;
    get negativePrefix(): string;
    set negativePrefix(a: string);
    private c5;
    get positivePrefix(): string;
    set positivePrefix(a: string);
    private c4;
    get negativeSuffix(): string;
    set negativeSuffix(a: string);
    private c6;
    get positiveSuffix(): string;
    set positiveSuffix(a: string);
    private cw;
    get maxFractionDigits(): number;
    set maxFractionDigits(a: number);
    private cx;
    get minFractionDigits(): number;
    set minFractionDigits(a: number);
    private cy;
    get minIntegerDigits(): number;
    set minIntegerDigits(a: number);
    private cu;
    get showGroupingSeparator(): boolean;
    set showGroupingSeparator(a: boolean);
    private c2;
    get formatOverrideRef(): string;
    set formatOverrideRef(a: string);
}
